/*!
*  @file CreatureTrait.cpp
*  @brief ゲーム中のクリーチャー特性を定義する
*  @date 2013/12/22
*  @author Deskull
*  2013 Sikabane Works.
*/

#include "stdafx.h"
#include "CreatureTrait.h"

namespace Deeangband
{

	CreatureTrait::CreatureTrait(ID id, TAG tag, GameWorld *gameWorld) : CreatureTemplate(id, tag, gameWorld)
	{
	}

	CreatureTrait::CreatureTrait(void)
	{
	}

	CreatureTrait::~CreatureTrait(void)
	{
	}

	NAME CreatureTrait::GetName(void)
	{
		return this->name;
	}

}
